package main

import (
	"os"
	"strings"
	"testing"

	"github.com/stretchr/testify/assert"
)

func Test(t *testing.T) {
	inputBytes, _ := os.ReadFile("test.txt")
	input := strings.Split(string(inputBytes), "\n")

	assert.Equal(t, 40, puzzle1(input))
	assert.Equal(t, 315, puzzle2(input))
}
